Package Details: zfs-dkms 2.1.1-1

Git Clone URL: https://aur.archlinux.org/zfs-dkms.git (read-only, click to copy)
Package Base: zfs-dkms
Description: Kernel modules for the Zettabyte File System.
Upstream URL: https://zfsonlinux.org/
Licenses: CDDL
Conflicts: spl-dkms
Provides: SPL-MODULE=2.1.1, ZFS-MODULE=2.1.1, spl-dkms, zfs
Replaces: spl-dkms
Submitter: isiachi
Maintainer: eschwartz (jonathon)
Last Packager: jonathon
Votes: 120
Popularity: 3.97
First Submitted: 2015-08-31 12:01
Last Updated: 2021-10-01 10:41

Required by (18)

Sources (3)

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 11 12 ... Next › Last »

greencopper commented on 2020-12-09 22:38

Thanks. I did build them manually and then install both at the same time using pacman.

fryfrog commented on 2020-12-09 22:19

You need to install both packages at the same time. I don't think yay can do this, but I did recently discover it is a feature of paru. And of course, you could do it by hand.

greencopper commented on 2020-12-09 22:07

Is it not possible to upgrade zfs-dkms with yay? I always end up having to remove dkms-zfs first because of:

loading packages...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing zfs-utils (2.0.0-1) breaks dependency 'zfs-utils=0.8.5' required by zfs-dkms

khampf commented on 2020-10-18 01:01

This has been going on for a while. Hate to rely on zfs-dkms-git and zfs-utils-git but they work and I can not get 0.8.5 or 0.8.4 to work with any recent linux-lts or linux packages. Tried sifting trough build logs and at first it looked like some errors about missing rpmbuild when running configure but no.

(4/5) Install DKMS modules
==> dkms install --no-depmod -m zfs -v 0.8.5 -k 5.4.72-1-lts
/var/lib/dkms/zfs/0.8.5/build/configure: 13381: RPM_DEFINE_COMMON+= --define "$(DEBUG_KMEM_ZFS) 1": not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13382: RPM_DEFINE_COMMON+= --define "$(DEBUG_KMEM_TRACKING_ZFS) 1": not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13383: RPM_DEFINE_COMMON+= --define "$(DEBUGINFO_ZFS) 1": not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13384: RPM_DEFINE_COMMON+= --define "$(ASAN_ZFS) 1": not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13403: RPM_DEFINE_UTIL+= $(DEFINE_INITRAMFS): not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13404: RPM_DEFINE_UTIL+= $(DEFINE_SYSTEMD): not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13405: RPM_DEFINE_UTIL+= $(DEFINE_PYZFS): not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13406: RPM_DEFINE_UTIL+= $(DEFINE_PYTHON_VERSION): not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13407: RPM_DEFINE_UTIL+= $(DEFINE_PYTHON_PKG_VERSION): not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13418: RPM_DEFINE_KMOD+= --define "ksrc $(LINUX)": not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13419: RPM_DEFINE_KMOD+= --define "kobj $(LINUX_OBJ)": not found
/var/lib/dkms/zfs/0.8.5/build/configure: 13420: RPM_DEFINE_KMOD+= --define "_wrong_version_format_terminate_build 0": not found
configure: error:
        *** Unable to build an empty module.

storm.continuity commented on 2020-10-14 15:22

@fryfrog i will try now, thanks a lot

fryfrog commented on 2020-10-14 15:21

Not all on its own, but you should be able to checkout both, make the packages and then install both at the same time w/ yay.

storm.continuity commented on 2020-10-14 15:18

and yay won't do that... correct? I mean... i had never had to do that before with yay

fryfrog commented on 2020-10-14 15:10

@storm.continuity: You need to build both packages, then install them together.

storm.continuity commented on 2020-10-14 07:43

getting this error while trying to install

looking for conflicting packages... error: failed to prepare transaction (could not satisfy dependencies) :: installing zfs-utils (0.8.5-1) breaks dependency 'zfs-utils=0.8.4' required by zfs-dkms

Asgaroth commented on 2020-08-22 14:23

try:

gpg --keyserver pool.sks-keyservers.net --recv-keys 6AD860EED4598027